/*
 * Copyright 2018 Scytl Secure Electronic Voting SA
 *
 * All rights reserved
 *
 * See our extended copyright notice in *file 'Copyright.txt' which is part of this source code package
 */
describe('Stores service...', function() {
  'use strict';

  describe('should be able to ..', function() {

    it('open a sks store', function() {
      var data = {
        salt: 'CpHq+38iqF3Ls7j97qBQ2A9Diy8=',
        secrets: {
          symmetric:
              'I4ogx7At8e2ZS9dZOXnmaHs3itWF2M+8m9qnzqkVo+hA3OczA1Gvi9gAacOWoEJMp5yaCn0='
        },
        store:
            '[encoded data, 7800 characters]'
      };
      cryptolib('stores.service', function(box) {
        var sksReader = new box.stores.service.loadStore(data);
        expect(sksReader).toBeDefined();
      });
    });
  });
});
